picocli

## Class CommandLine.Model

- java.lang.Object
- - picocli.CommandLine.Model

- Enclosing class:
    CommandLine

      public static final class CommandLine.Model
      extends Object

  This class provides a namespace for classes and interfaces that model concepts and attributes of command line interfaces in picocli.
  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommandLine.Model.ArgSpec` Models the shared attributes of `CommandLine.Model.OptionSpec` and `CommandLine.Model.PositionalParamSpec`.
    `static class` | `CommandLine.Model.CommandSpec` The `CommandSpec` class models a command specification, including the options, positional parameters and subcommands supported by the command, as well as attributes for the version help message and the usage help message of the command.
    `static interface` | `CommandLine.Model.IGetter` Customizable getter for obtaining the current value of an option or positional parameter.
    `static interface` | `CommandLine.Model.ISetter` Customizable setter for modifying the value of an option or positional parameter.
    `static class` | `CommandLine.Model.Messages` Utility class for getting resource bundle strings.
    `static class` | `CommandLine.Model.OptionSpec` The `OptionSpec` class models aspects of a named option of a command, including whether it is required or optional, the option parameters supported (or required) by the option, and attributes for the usage help message describing the option.
    `static class` | `CommandLine.Model.ParserSpec` Models parser configuration specification.
    `static class` | `CommandLine.Model.PositionalParamSpec` The `PositionalParamSpec` class models aspects of a positional parameter of a command, including whether it is required or optional, and attributes for the usage help message describing the positional parameter.
    `static class` | `CommandLine.Model.UnmatchedArgsBinding` This class allows applications to specify a custom binding that will be invoked for unmatched arguments.
    `static class` | `CommandLine.Model.UsageMessageSpec` Models the usage help message specification and can be used to customize the usage help message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2019. All rights reserved.